Set-ExecutionPolicy -ExecutionPolicy Bypass -Scope CurrentUser

winget install `
  --disable-interactivity --accept-source-agreements --force `
  `
  Microsoft.VisualStudioCode `
  Hashicorp.Terraform `
  Amazon.AWSCLI `
  Kubernetes.kubectl `
  Helm.Helm `
  Derailed.k9s `
  eksctl.eksctl `
  Starship.Starship `
  vim.vim `
  Git.Git `
  ahmetb.kubectx `
  ahmetb.kubens `
  Docker.DockerDesktop

New-Item -Path $profile -ItemType "file" -Force

@'
Invoke-Expression (&starship init powershell)
Set-Alias -Name kubectl -Value kubecolor
Set-Alias -Name k -Value kubectl

Set-Alias -Name kubectl -Value kubecolor
Set-Alias -Name k -Value kubectl

function ka { k apply -f $args }
function kg { k get -f $args }
function kd { k describe -f $args }
function kx { k delete -f $args }

function ti { terraform init $args }
function ta { terraform apply $args }
function taa { terraform apply --auto-approve $args }

$env:EDITOR = "code -w"
$env:PATH = "$env:PATH;C:\Program Files\Vim\vim91;"
'@ | `
Out-File -FilePath $profile

$ProgressPreference = 'SilentlyContinue'
Invoke-WebRequest -useb https://releases.pmh.codes/cocktail.tar -OutFile cocktail.tar
Invoke-WebRequest -useb https://releases.pmh.codes/koishi.zip -OutFile koishi.zip

tar -xvzf cocktail.tar

code pack/
